import * as React from "react";
import { TextFieldVariants } from "@mui/material";
import * as BestGlobals from "best-globals";
import type { TableDefinition } from "backend-plus";
export declare const ICON: {
    Add: () => React.JSX.Element;
    AddCircleOutlineRounded: () => React.JSX.Element;
    ArrowBack: () => React.JSX.Element;
    Assignment: () => React.JSX.Element;
    Check: () => React.JSX.Element;
    CheckBoxOutlineBlankOutlined: () => React.JSX.Element;
    CheckBoxOutlined: () => React.JSX.Element;
    ChevronLeft: () => React.JSX.Element;
    ChevronRight: () => React.JSX.Element;
    Clear: () => React.JSX.Element;
    Close: () => React.JSX.Element;
    Code: () => React.JSX.Element;
    ComputerRounded: () => React.JSX.Element;
    Create: () => React.JSX.Element;
    Delete: () => React.JSX.Element;
    DeleteForever: () => React.JSX.Element;
    DeleteOutline: () => React.JSX.Element;
    Description: () => React.JSX.Element;
    EmojiObjects: () => React.JSX.Element;
    ErrorOutlineRounded: () => React.JSX.Element;
    ExitToApp: () => React.JSX.Element;
    ExpandLess: () => React.JSX.Element;
    ExpandMore: () => React.JSX.Element;
    FormatLineSpacing: () => React.JSX.Element;
    Forward: () => React.JSX.Element;
    ForwardOutlined: () => React.JSX.Element;
    Info: () => React.JSX.Element;
    KeyboardArrowUp: () => React.JSX.Element;
    KeyboardArrowDown: () => React.JSX.Element;
    KeyboardHideRounded: () => React.JSX.Element;
    Label: () => React.JSX.Element;
    LocalAtm: () => React.JSX.Element;
    Menu: () => React.JSX.Element;
    MobileFriendlyRounded: () => React.JSX.Element;
    Navigation: () => React.JSX.Element;
    NavigationDown: () => React.JSX.Element;
    RemoveShoppingCart: () => React.JSX.Element;
    Save: () => React.JSX.Element;
    Search: () => React.JSX.Element;
    Send: () => React.JSX.Element;
    Settings: () => React.JSX.Element;
    SyncAlt: () => React.JSX.Element;
    TrendingFlat: () => React.JSX.Element;
    Warning: () => React.JSX.Element;
};
export declare function MenuH(props: {
    title: string;
    rightTitle?: string;
    mobile: boolean;
    onMobile: (mobile: boolean) => void;
}): React.JSX.Element;
export declare function ComboBox(props: {
    key: string;
    value: string | null;
    valueOfNull: string | null;
    onChange: (newValue: null | string) => void;
    options: string[];
    label: string;
    freeSolo: boolean;
    disabled: boolean;
    helperText?: string;
    variant?: TextFieldVariants;
    className?: string;
    title?: string;
    mobile: boolean;
}): React.JSX.Element;
type FieldTypes = null | string | boolean | number | BestGlobals.RealDate;
type RowType = Record<string, FieldTypes>;
export declare function CardEditor(props: {
    updatesToRow: RowType;
    originalRow: RowType;
    onRowChange: (row: RowType) => void;
    tableDef: TableDefinition;
    lists: (name: string, row: RowType) => string[];
    forEdit: boolean;
    mobile: boolean;
}): React.JSX.Element;
export declare function CardEditorConnected(props: {
    table: string;
    fixedFields: RowType;
}): React.JSX.Element;
export {};
//# sourceMappingURL=frontend-react-things.d.ts.map